### Enumeration

# WebKit2 SnapshotOptions

#### Declaration

    flags WebKit2.SnapshotOptions

#### Description [src]

Enum values used to specify options when taking a snapshot from a `WebKitWebView`.

#### Members

`WEBKIT_SNAPSHOT_OPTIONS_NONE`

  Do not include any special options.

  - Value: `0`
  - Available since: 4.1
`WEBKIT_SNAPSHOT_OPTIONS_INCLUDE_SELECTION_HIGHLIGHTING`

  Whether to include in the snapshot the highlight of the selected content.

  - Value: `1`
  - Available since: 4.1
`WEBKIT_SNAPSHOT_OPTIONS_TRANSPARENT_BACKGROUND`

  Do not fill the background with white before rendering the snapshot. Since 2.8.

  - Value: `2`
  - Available since: 4.1